Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetTasksByProcessInstanceIdCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<List<Long>>
          org.jbpm.services.task.commands.GetTasksByProcessInstanceIdCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<Long>>, Command<List<Long>>, org.kie.internal.command.ProcessInstanceIdCommand

    public class GetTasksByProcessInstanceIdCommand

extends TaskCommand<List<Long>>
implements org.kie.internal.command.ProcessInstanceIdCommand

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetTasksByProcessInstanceIdCommand()`
`GetTasksByProcessInstanceIdCommand(Long processInstanceId)`

Method Summary
`List<Long>` | `execute(org.kie.internal.command.Context cntxt)`
`Long` | `getProcessInstanceId()`
`void` | `setProcessInstanceId(Long processInstanceId)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTasksByProcessInstanceIdCommand

    public GetTasksByProcessInstanceIdCommand()

### GetTasksByProcessInstanceIdCommand

    public GetTasksByProcessInstanceIdCommand(Long processInstanceId)

Method Detail

### getProcessInstanceId

    public Long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

### setProcessInstanceId

    public void setProcessInstanceId(Long processInstanceId)

  Specified by:
    `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

### execute

    public List<Long> execute(org.kie.internal.command.Context cntxt)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<List<Long>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.